commit:     88ab8bcdfe10ba8d73f5529f521eb75d3982599a
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 17 21:25:07 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sun Mar 17 21:53:19 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=88ab8bcd

app-emacs/eldev: bump to 1.9.1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/eldev/Manifest           |  1 +
 app-emacs/eldev/eldev-1.9.1.ebuild | 59 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/app-emacs/eldev/Manifest b/app-emacs/eldev/Manifest
index 11bd007406a1..47d2da7ce01a 100644
--- a/app-emacs/eldev/Manifest
+++ b/app-emacs/eldev/Manifest
@@ -1,2 +1,3 @@
 DIST eldev-1.8.2.tar.gz 298578 BLAKE2B 
579c72d61e15863a81b8a060da0c78900785a2b58f6a4825d19eebb85467ff838f2777bab05dc4ff2b04367d3fe58e4e71cbce09c4bbcc1c0ad5700cc12edc6d
 SHA512 
c5ae360311d4b23648ecfb86e40a23abd4575480b971d86579f61b2c5a2873a9db211fe044cc33a47cb31bc215890a1c0b73c54700a92fcd1eb299a22733f71a
+DIST eldev-1.9.1.tar.gz 301188 BLAKE2B 
ce57bee48dda505113df269504fdcad1847e80b2df9e3f7916d7960ee7212a7cb44165b373f0e6c54c0d04f7990f46132afdf6d64ae1b93a9433353cf5058a81
 SHA512 
f059f49e920ea518b23cbd0a8d49d0e86c9fdb5d759bb42d44a620b95dd7eb007e1457de904c9a5149b9c76ef7737ba2942de4cf7a6be2becb2a6152e08bea26
 DIST eldev-1.9.tar.gz 300721 BLAKE2B 
dac07c0f7fba1a8637ca9c2e26ebef26fefa88bc6d709a313818233e8c00e2c53acdd2ba37baba2d8e07aa49634a590790faf58edcefafe910793125d7ab7aed
 SHA512 
c3b64cf457ffc0aaa21c34c48379736c98a94773ffd830cd9d79e840638340201f08899f09363912985f54b248130946d4ce6175891fd298548e6538ca9ee142

diff --git a/app-emacs/eldev/eldev-1.9.1.ebuild 
b/app-emacs/eldev/eldev-1.9.1.ebuild
new file mode 100644
index 000000000000..c7b3f8685f75
--- /dev/null
+++ b/app-emacs/eldev/eldev-1.9.1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit elisp
+
+DESCRIPTION="Emacs Lisp Development Tool"
+HOMEPAGE="https://emacs-eldev.github.io/eldev/
+       https://github.com/doublep/eldev/";
+
+if [[ "${PV}" == *9999* ]] ; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/doublep/${PN}.git";
+else
+       SRC_URI="https://github.com/doublep/${PN}/archive/${PV}.tar.gz
+               -> ${P}.tar.gz"
+
+       KEYWORDS="~amd64 ~arm ~ppc64 ~riscv ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+
+ELISP_REMOVE="
+       test/doctor.el
+"
+
+DOCS=( README.adoc )
+SITEFILE="50${PN}-gentoo.el"
+
+src_test() {
+       ELDEV_LOCAL="${S}" "./bin/${PN}" test
+}
+
+src_install() {
+       elisp_src_install
+
+       exeinto /usr/bin
+       doexe "./bin/${PN}"
+
+       # NOTICE: If ELDEV_LOCAL is defined Eldev will use it
+       # to load up it's components,
+       # if it is not it will bootstrap itself from network
+       # always check if it uses installed Emacs Lisp files.
+       # Also, do not forget to run `env-update` & reopen your shell.
+       # https://github.com/doublep/eldev#influential-environment-variables
+       echo "ELDEV_LOCAL=${SITELISP}/${PN}" >> "${T}/99${PN}" || die
+       doenvd "${T}/99${PN}"
+}
+
+pkg_postinst() {
+       elisp_pkg_postinst
+
+       ewarn "Remember to run \`env-update && source /etc/profile\` if you 
plan"
+       ewarn "to use Eldev in a shell before logging out (or restarting"
+       ewarn "your login manager)."
+}

Reply via email to